%define debug_package %{nil}

Name:    lightgbm
Version: 3.3.5.99
Release: 20230613%{?dist}
Summary: A gradient boosting framework that uses tree based learning algorithms
License: MIT
Group:   Development/Libraries
URL:     https://github.com/microsoft/LightGBM
Source:  https://github.com/microsoft/LightGBM/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires: cmake >= 3.16
BuildRequires: gcc-c++
BuildRequires: python%{python3_version}dist(wheel)

%global _description %{expand:
A fast, distributed, high performance gradient boosting (GBDT, GBRT, GBM
or MART) framework based on decision tree algorithms, used for ranking,
classification and many other machine learning tasks.
}

%description %_description


%package -n python%{python3_pkgversion}-%{name}
Summary: Python package of LightGBM
Requires: python%{python3_version}dist(numpy)
Requires: python%{python3_version}dist(scipy)
Requires: python%{python3_version}dist(scikit-learn) >= 1.0
Recommends: python%{python3_version}dist(matplotlib)
Recommends: python%{python3_version}dist(graphviz)

%description -n python%{python3_pkgversion}-%{name} %_description


%prep
%setup
sed -i -e '/wheel.,/d' setup.py

%build
%py3_build

%install
%py3_install

# setup.py installs to /usr/lib; fix to /usr/lib64.
mkdir -p %{buildroot}%{python3_sitearch}
mv %{buildroot}%{python3_sitelib}/* %{buildroot}%{python3_sitearch}/


%files -n python%{python3_pkgversion}-%{name}
%{python3_sitearch}/%{name}
%{python3_sitearch}/*.egg-info


%changelog
* Thu Jun 8 2023 - 3.3.5.99
- Build pre-release versions.

* Mon Jun 5 2023 - 3.3.1-1
- Build the python package for Rocky Linux 8 and 9
